Bug 35422 - no generated javadoc of java/util/concurrent from external/jsr166
Summary: no generated javadoc of java/util/concurrent from external/jsr166
Status: RESOLVED FIXED
Alias: None
Product: classpath
Classification: Unclassified
Component: classpath (show other bugs)
Version: unspecified
: P3 normal
Target Milestone: ---
Assignee: Andrew John Hughes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-03 10:49 UTC by Robert Schuster
Modified: 2008-03-11 22:46 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2008-03-10 21:54:59


Attachments
Committed patch (375 bytes, patch)
2008-03-10 21:54 UTC, Andrew John Hughes
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Schuster 2008-03-03 10:49:05 UTC
The classes for java/util/concurrent are mainly inside the external/jsr166 folder. However this directory is not part of the directories which are scanned to generate the javadoc. Result is that it looks that we do not support this API.
Comment 1 Andrew John Hughes 2008-03-10 21:54:28 UTC
Created attachment 15291 [details]
Committed patch
Comment 2 Andrew John Hughes 2008-03-10 21:54:57 UTC
CVSROOT:        /sources/classpath
Module name:    classpath
Changes by:     Andrew John Hughes <gnu_andrew> 08/03/10 20:35:34

Modified files:
       .              : ChangeLog
       doc/api        : Makefile.am

Log message:
       2008-03-10  Andrew John Hughes  <gnu_andrew@member.fsf.org>

               PR classpath/35422
               * doc/api/Makefile.am: Include external/jsr166.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/classpath/ChangeLog?cvsroot=classpath&r1=1.9547&r2=1.9548
http://cvs.savannah.gnu.org/viewcvs/classpath/doc/api/Makefile.am?cvsroot=classpath&r1=1.20&r2=1.21
Comment 3 Andrew John Hughes 2008-03-11 22:46:59 UTC
Fixed in the new bugfix release and CVS.  Closing.

Note that this causes an error in gjdoc which I'll file separately.
Comment 4 Paolo Bonzini 2008-03-12 15:34:29 UTC
Subject: Bug 35422

Author: bonzini
Date: Wed Mar 12 15:33:45 2008
New Revision: 133144

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=133144
Log:
2008-03-12  Paolo Bonzini  <bonzini@gnu.org>

	PR tree-opt/35422
	* fold-const.c (fold_unary) <NOP_EXPR>: Distribute a narrowing
	conversion to the operands of a multiplication.

testsuite:
2008-03-12  Paolo Bonzini  <bonzini@gnu.org>

	PR tree-opt/35422
	* gcc.dg/vect/slp-7.c: Change target keywords required for vectorizing
	third loop.
	* gcc.target/i386/pr35422.c: New.

Added:
    trunk/gcc/testsuite/gcc.target/i386/pr34522.c
Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/fold-const.c
    trunk/gcc/testsuite/ChangeLog
    trunk/gcc/testsuite/gcc.dg/vect/slp-7.c

Comment 5 Paolo Bonzini 2008-03-13 09:45:43 UTC
Subject: Bug 35422

Author: bonzini
Date: Thu Mar 13 09:44:57 2008
New Revision: 133163

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=133163
Log:
2008-03-13  Paolo Bonzini  <bonzini@gnu.org>

	PR tree-opt/35422
	* gcc.target/i386/pr35422.c: Escape brackets.


Modified:
    trunk/gcc/testsuite/ChangeLog
    trunk/gcc/testsuite/gcc.target/i386/pr34522.c